View Issue Details

IDProjectCategoryView StatusLast Update
0014850ScribusBuild Systempublic2017-12-20 20:59
Reportermapreri Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.3 
Target VersionFixed in Version1.5.4.svn 
Summary0014850: wrong case for 'OpenSSL' causes libpodofo >= 0.9.5 to not be used
DescriptionCurrently trying to build 1.5.3 on linux with libpodofo 0.9.5 leads to:

CMake Warning at cmake/modules/FindLIBPODOFO.cmake:48 (find_package):
  By not providing "FindOPENSSL.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "OPENSSL", but
  CMake did not find one.

  Could not find a package configuration file provided by "OPENSSL" with any
  of the following names:

    OPENSSLConfig.cmake
    openssl-config.cmake

  Add the installation prefix of "OPENSSL" to CMAKE_PREFIX_PATH or set
  "OPENSSL_DIR" to a directory containing one of the above files. If
  "OPENSSL" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  CMakeLists.txt:848 (find_package)


OpenSSL NOT found for installed version of PoDoFo (>= 0.9.5) - Disabling support for PDF embedded in AI
PoDoFo NOT found - Disabling support for PDF embedded in AI


The attached patch fixes it for me.
Tagspatch
PatchYes

Relationships

related to 0014838 closedjghali explain why cmake requires openssl 

Activities

mapreri

2017-06-05 17:03

reporter  

findOpenSSL.patch (737 bytes)
Description: Fix case of "OpenSSL" to match the case of the file shipped by cmake
Author: Mattia Rizzolo <mattia@debian.org>
Last-Update: 2017-06-05

--- a/cmake/modules/FindLIBPODOFO.cmake
+++ b/cmake/modules/FindLIBPODOFO.cmake
@@ -45,7 +45,7 @@
 	#message(STATUS "PODOFO PATCH VERSION ${PODOFO_PATCH_VER}")
 	set(LIBPODOFO_VERSION "${PODOFO_MAJOR_VER}.${PODOFO_MINOR_VER}.${PODOFO_PATCH_VER}" CACHE STRING "PoDoFo version string")
 	if(LIBPODOFO_VERSION VERSION_GREATER "0.9.4")
-		find_package(OPENSSL)
+		find_package(OpenSSL)
 		if (OPENSSL_FOUND)
 			message("OpenSSL found OK for installed version of PoDoFo (>= 0.9.5) - Enabling support for PDF embedded in AI")
 			set(LIBPODOFO_FOUND TRUE CACHE BOOLEAN "Was libpodofo found")
findOpenSSL.patch (737 bytes)

Issue History

Date Modified Username Field Change
2017-06-05 17:03 mapreri New Issue
2017-06-05 17:03 mapreri File Added: findOpenSSL.patch
2017-06-05 17:03 mapreri Tag Attached: patch
2017-06-05 21:34 cbradney Assigned To => cbradney
2017-06-05 21:34 cbradney Status new => resolved
2017-06-05 21:34 cbradney Resolution open => fixed
2017-06-05 21:34 cbradney Fixed in Version => 1.5.4.svn
2017-06-06 09:51 ale Relationship added related to 0014838
2017-12-20 20:59 cbradney Status resolved => closed